cxf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Daniel Kulp <dk...@apache.org>
Subject Re: Warning: Don't update your eclipse Checkstyle plugin...
Date Mon, 02 Mar 2015 03:47:45 GMT

> On Mar 1, 2015, at 10:28 PM, Jason Pell <jason@pellcorp.com> wrote:
> 
> Hi Daniel,
> 
> How did you go with getting cxf to support the latest checkstyle?  Are we
> still limited to older than 6.2?

master is now using 6.2.   However, that requires a snapshot of the buildutils which has updated
rules and config.   The updated buildutils also has updated PMD rules.   I’m kind of waiting
on a “release” of buildutils as I ended up submitting a bunch of pull requests to the
pmd-eclipse plugin and I’m waiting for a release of that which will even have an even newer
version of PMD (also not yet released).  I want to make sure the updates are compatible with
what will be released.

Dan


> 
> On Sat, Feb 7, 2015 at 8:09 AM, Daniel Kulp <dkulp@apache.org> wrote:
> 
>> Just a warning to the CXF devs:   don’t update your eclipse plugin for
>> check style.   The new version is very incompatible with our settings.
>> What’s worse, I cannot get it to be compatible with settings used with the
>> maven-eclipse-plugin (even the latest one released yesterday).  I’m trying
>> to fix all the things that I can that are compatible between the two
>> versions, but there are still well over a 100 errors reported….
>> 
>> 
>> Now to figure out how to downgrade my plugin….  :(
>> 
>> --
>> Daniel Kulp
>> dkulp@apache.org - http://dankulp.com/blog
>> Talend Community Coder - http://coders.talend.com
>> 
>> 

-- 
Daniel Kulp
dkulp@apache.org - http://dankulp.com/blog
Talend Community Coder - http://coders.talend.com


Mime
View raw message